QScintilla: QsciLexerCMake Class Reference

# QsciLexerCMake Class Reference

The QsciLexerCMake class encapsulates the Scintilla CMake lexer. More...

`#include <qscilexercmake.h>`

Inherits QsciLexer.

List of all members.

## Public Types

- enum {
  Default = 0, Comment = 1, String = 2,
  StringLeftQuote = 3, StringRightQuote = 4, Function = 5,
  Variable = 6, Label = 7, KeywordSet3 = 8,
  BlockWhile = 9, BlockForeach = 10, BlockIf = 11,
  BlockMacro = 12, StringVariable = 13, Number = 14
  }

## Public Slots

- virtual void setFoldAtElse (bool fold)

## Public Member Functions

- QsciLexerCMake (QObject *parent=0, const char *name=0)
- virtual ~QsciLexerCMake ()
- const char * language () const
- const char * lexer () const
- QColor defaultColor (int style) const
- QFont defaultFont (int style) const
- QColor defaultPaper (int style) const
- const char * keywords (int set) const
- QString description (int style) const
- void refreshProperties ()
- bool foldAtElse () const

## Protected Member Functions

- bool readProperties (QSettings &qs, const QString &prefix)
- bool writeProperties (QSettings &qs, const QString &prefix) const

## Detailed Description

The QsciLexerCMake class encapsulates the Scintilla CMake lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the CMake lexer.

Enumerator:

  Default | The default.
  Comment | A comment.
  String | A string.
  StringLeftQuote | A left quoted string.
  StringRightQuote | A right quoted string.
  Function | A function. (Defined by keyword set number 1.).
  Variable | A variable. (Defined by keyword set number 2.).
  Label | A label.
  KeywordSet3 | A keyword defined in keyword set number 3. The class must be sub-classed and re-implement keywords() to make use of this style.
  BlockWhile | A WHILE block.
  BlockForeach | A FOREACH block.
  BlockIf | An IF block.
  BlockMacro | A MACRO block.
  StringVariable | A variable within a string.
  Number | A number.

## Constructor & Destructor Documentation

QsciLexerCMake::QsciLexerCMake | ( | QObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a QsciLexerCMake with parent parent and name name. parent is typically the QsciScintilla instance.

virtual QsciLexerCMake::~QsciLexerCMake | ( |  | ) | `[virtual]`

Destroys the QsciLexerCMake instance.

## Member Function Documentation

const char* QsciLexerCMake::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Implements QsciLexer.

const char* QsciLexerCMake::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Implements QsciLexer.

QColor QsciLexerCMake::defaultColor | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  defaultPaper()

Reimplemented from QsciLexer.

QFont QsciLexerCMake::defaultFont | ( | int | style | ) | const`[virtual]`

Returns the font for style number style.

Reimplemented from QsciLexer.

QColor QsciLexerCMake::defaultPaper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  defaultColor()

Reimplemented from QsciLexer.

const char* QsciLexerCMake::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexer.

QString QsciLexerCMake::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.

void QsciLexerCMake::refreshProperties | ( |  | ) | `[virtual]`

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QsciLexer.

bool QsciLexerCMake::foldAtElse | ( |  | ) | const

Returns true if ELSE blocks can be folded.

See also:
  setFoldAtElse()

virtual void QsciLexerCMake::setFoldAtElse | ( | bool | fold | ) | `[virtual, slot]`

If fold is true then ELSE blocks can be folded. The default is false.

See also:
  foldAtElse()

bool QsciLexerCMake::readProperties | ( | QSettings & | qs,
|  | const QString & | prefix |
| ) |  |  | `[protected, virtual]`

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.

bool QsciLexerCMake::writeProperties | ( | QSettings & | qs,
|  | const QString & | prefix |
| ) |  |  | const`[protected, virtual]`

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.